
import request from '@/utils/request'



/**
 * banner轮播图
 * @param {*} data 
 * @returns 
 */
export const getHomeBanner = (data) => request(`/banner`, { data, method: 'get' })

/**
 * 农机列表
 * @param {*} data 
 * @returns 
 */
export const getMachinery = (pram, data) => request(`/machinery?location=${pram}`, { data, method: 'get' })



/**
 * 农机详情
 * @param {*} data 
 * @returns 
 */
export const getMachineryInfo = (pram, data) => request(`/machinery-summary/${pram}`, { data, method: 'get' })



/**
 * 农机分类Tab列查询
 * @param {*} data 
 * @returns 
 */
export const getMachineryType = (pram, data) => request(`/machinery-type`, { data, method: 'get' })



