import request from '@/utils/request'
/**
 * 登录
 * @param {*} data 
 * @returns 
 */
export const login = (data) => request('/login', { data, method: 'post' })

/**
 * 发送验证码
 * @param {*} data 
 * @returns 
 */
export const getUserQcode = (params) => request('/sms-captcha', { method: 'post', params })

/**
* 验证码登录修改
* @param {*} 
* @returns 
*/

export const setUserPhone = (id, data) => request(`/person/${id}/phone`, { method: 'put', data })


/**
 * 修改个人信息
 * @param {*} 
 * @returns 
 */

export const updateInfo = (id, data) => request(`/person/${id}`, { method: 'put', data })