import { useState } from "react"
import { login } from '@/services/login'



export default () => {
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()
  const [userPhoneInfo, setUserPhoneInfo] = useState()

  const [sserLocation, setUserLocation] = useState('')
  const [userOrderAddress, setUserOrderAddress] = useState('')

  const logins = (params) => {
    login(params).then((res) => {
      const { person: taPerson, sessionKey: skey } = res;
      // taPerson.phone = null
      setPerson(taPerson);
      setSessionKey(skey);
    })
  }

  return {
    person,
    sessionKey,

    setPerson,
    setSessionKey,

    userPhoneInfo,
    setUserPhoneInfo,

    sserLocation,
    setUserLocation,


    userOrderAddress,//订单选择位置
    setUserOrderAddress,

    logins,
  }
}