
import { View, Text, Button } from '@tarojs/components'
import withLayout from '@/layouts'
import './style.less'

export default (props) => {
  const { butText, butWidth, butHeight, butFontSize, butBorderRadius, styleType, loading, onClick = () => { }, formType, disabled, opacity } = props
  let butStyle = {
    width: `${butWidth || 100}px`,
    height: `${butHeight || 40}px`,
    borderRadius: `${butBorderRadius || 0}px`,
    fontSize: `${butFontSize || 20}px`,
    opacity: `${opacity || '1'}`

  }
  let butStyle2 = {
    lineHeight: `${butHeight || 40}px`,
  }
  const onClicks = () => {
    onClick()
  }
  return (
    <Button disabled={disabled} style={butStyle} onClick={onClicks} className={`buttont-box ${styleType ? 'stypeType' : ''}`} formType={formType || ''}  >
      <View style={butStyle2} className={`${styleType ? 'stypeType2' : ''}`}>{butText || ''}</View>
    </Button>
  )
}
