import { createStore, createStoreRoot, createModelHook } from '@zjxpcyc/react-tiny-store'
import userData from './userData'
import order from './order'

const store = createStore()
const models = { userData,order }



const useModel = createModelHook(store)
const StoreRoot = createStoreRoot(store, models)

export default store
export {
  useModel,
  StoreRoot,
}